%define upstream_name	 DBIx-ContextualFetch
%define upstream_version 1.03

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DBI::(st|db)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

summary:	Add contextual fetches to DBI
license:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
It always struck me odd that DBI didn't take much advantage of Perl's
context sensitivity. DBIx::ContextualFetch redefines some of the various
fetch methods to fix this oversight. It also adds a few new methods for
convenience (though not necessarily efficiency).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendorlib}/DBIx
%{_mandir}/*/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-8.mga6
+ Revision: 1025473
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.30.0-7.mga6
+ Revision: 931712
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-6.mga5
+ Revision: 746534
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.30.0-5.mga5
+ Revision: 724979
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 684132
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 510472
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 365136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 10880
- imported package perl-DBIx-ContextualFetch


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 403096
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.03-5mdv2009.0
+ Revision: 256584
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-3mdv2008.1
+ Revision: 133632
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Nov 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-2mdv2007.0
+ Revision: 86970
- rebuild
- Import perl-DBIx-ContextualFetch

* Thu Sep 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdk
- New release 1.03
- spec rewrite

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 1.02-1mdk
- Initial build.

